From 107e4fb9f5bcc363d0552b98328983b87fc223e5 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Sep 28 2017 17:35:08 +0000
Subject: [PATCH 952/1001] Sort widgets by index by default


---

diff --git a/hubs/models.py b/hubs/models.py
index eebd178..3b7283d 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -142,7 +142,8 @@ class Hub(ObjectAuthzMixin, BASE):
     __tablename__ = 'hubs'
     name = sa.Column(sa.String(50), primary_key=True)
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
-    widgets = relation('Widget', cascade='all,delete', backref='hub')
+    widgets = relation('Widget', cascade='all,delete', backref='hub',
+                       order_by="Widget.index")
     config = relation('HubConfig', uselist=False, cascade='all,delete',
                       backref='hub')
     archived = sa.Column(sa.Boolean, default=False)

